package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.SolidwasteClassification;
import com.lightinit.hsdatashow.entity.SolidwasteClassificationExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface SolidwasteClassificationMapper {
    long countByExample(SolidwasteClassificationExample example);

    int deleteByExample(SolidwasteClassificationExample example);

    int deleteByPrimaryKey(Long id);

    int insert(SolidwasteClassification record);

    int insertSelective(SolidwasteClassification record);

    List<SolidwasteClassification> selectByExample(SolidwasteClassificationExample example);

    SolidwasteClassification selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") SolidwasteClassification record, @Param("example") SolidwasteClassificationExample example);

    int updateByExample(@Param("record") SolidwasteClassification record, @Param("example") SolidwasteClassificationExample example);

    int updateByPrimaryKeySelective(SolidwasteClassification record);

    int updateByPrimaryKey(SolidwasteClassification record);

    List<SolidwasteClassification> getOneSolidwasteClassification(@Param("year") int year);

    List<SolidwasteClassification> getSolidwasteClassification(int year);
}